CHOWN(1)

NOMBRE
chown - cambia el usuario y grupo propietarios de ficheros

SINOPSIS
chown [opciones] usuario[:grupo] fichero...

Opciones de POSIX: [-R]

Opciones de GNU (en la forma más corta): [-cfhvR] [--dereference] [--reference=rfile] [--help] [--version] [--]

DESCRIPCIÓN
chown cambia el propietario de cada fichero, usuario o grupo, según el primer argumento que no sea una opción, el cual se interpreta como sigue. Si sólo se da un nombre de usuario (o UID numérico), entonces ese usuario se convierte en el propietario de cada fichero dado y el grupo al que pertenece el fichero no cambia. Si al nombre de usuario sigue un signo de dos puntos y un nombre de grupo (o GID numérico), sin espacios entre ellos, entonces también se cambia el grupo al que pertenece cada fichero.

DETALLES DE GNU
La versión de GNU permite un punto `.' en vez de dos puntos `:' (imitando la versión de BSD). [Esto no fue permitido por POSIX puesto que un punto es un carácter válido en un nombre de usuario.] Si al nombre de usuario sigue un signo de dos puntos o un solo punto pero luego no aparece un nombre de grupo o GID, entonces ese usuario se convierte en el propietario de los ficheros y el grupo de los ficheros se cambia al primario de ese usuario. Si se da el signo de dos puntos o el punto y el nombre de grupo o GID, pero se omite el nombre de usuario, solamente se cambia el grupo de los ficheros; en este caso, chown hace lo mismo que chgrp.

OPCIONES DE POSIX

-R  Cambia recursivamente el propietario de directorios y sus contenidos.

OPCIONES DE GNU

-c, --changes
    Muestra un mensaje donde menciona solamente aquellos ficheros cuyo propietario cambia realmente.

-f, --silent, --quiet
    No muestra mensajes de error sobre ficheros cuyo propietario no puede cambiarse.

-h, --no-dereference
    Actúa sobre enlaces simbólicos propiamente en vez de sobre lo que apunten. Disponible solamente si el sistema proporciona la primitiva lchown.

-v, --verbose
    Describe prolijamente la acción efectuada (o no) para cada fichero.

-R, --recursive
    Cambia recursivamente la propietariedad de directorios y sus contenidos.

--dereference
    Cambia la propiedad del destino de un enlace simbólico en lugar de la del propio enlace simbólico. (Nueva en fileutils-4.0.)

--reference=rfile
    (Nueva en fileutils 4.0.) Cambia la propiedad de file a la del fichero rfile.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con código de éxito.

--version
    Muestra en la salida estándar información sobre la versión y luego acaba con código de éxito.

--  Termina la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE y LC_MESSAGES tienen los significados usuales.

CONFORME A
POSIX 1003.2 no permite el empleo del punto como separador entre el nombre de usuario y el de grupo.

OBSERVACIONES
Esta página describe chown según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.